### Class

# GtkPasswordEntryBuffer

since: 4.4

#### Description [src]

    final class Gtk.PasswordEntryBuffer : Gtk.EntryBuffer
    {
      /* No available fields */
    }

A `GtkEntryBuffer` that locks the underlying memory to prevent it from being swapped to disk.

`GtkPasswordEntry` uses a `GtkPasswordEntryBuffer`.

Available since: 4.4

#### Hierarchy

#### Ancestors

- GtkEntryBuffer
- GObject

#### Constructors

###### gtk_password_entry_buffer_new

Creates a new `GtkEntryBuffer` using secure memory allocations.

#### Instance methods

##### Methods inherited from GtkEntryBuffer (10)

###### gtk_entry_buffer_delete_text

Deletes a sequence of characters from the buffer.

###### gtk_entry_buffer_emit_deleted_text

Used when subclassing `GtkEntryBuffer`.

###### gtk_entry_buffer_emit_inserted_text

Used when subclassing `GtkEntryBuffer`.

###### gtk_entry_buffer_get_bytes

Retrieves the length in bytes of the buffer.

###### gtk_entry_buffer_get_length

Retrieves the length in characters of the buffer.

###### gtk_entry_buffer_get_max_length

Retrieves the maximum allowed length of the text in `buffer`.

###### gtk_entry_buffer_get_text

Retrieves the contents of the buffer.

###### gtk_entry_buffer_insert_text

Inserts `n_chars` characters of `chars` into the contents of the buffer, at position `position`.

###### gtk_entry_buffer_set_max_length

Sets the maximum allowed length of the contents of the buffer.

###### gtk_entry_buffer_set_text

Sets the text in the buffer.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GtkEntryBuffer (3)

###### Gtk.EntryBuffer:length

The length (in characters) of the text in buffer.

###### Gtk.EntryBuffer:max-length

The maximum length (in characters) of the text in the buffer.

###### Gtk.EntryBuffer:text

The contents of the buffer.

#### Signals

##### Signals inherited from GtkEntryBuffer (2)

###### GtkEntryBuffer::deleted-text

The text is altered in the default handler for this signal.

###### GtkEntryBuffer::inserted-text

This signal is emitted after text is inserted into the buffer.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkPasswordEntryBufferClass {
      GtkEntryBufferClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkEntryBufferClass`
  No description available.